problem with installing maildrop for the prefect suse 11.1 setup

Discussion in 'Server Operation' started by paulley, Apr 23, 2009.

  1. paulley

    paulley New Member

    hi all,

    just in the process of doing the prefect suse 11.1 but run into a problem with installing maildrop.

    when i run :-

    rpm --force -i http://download.opensuse.org/reposi...11.1_Update/i586/maildrop-2.0.4-10.5.i586.rpm

    this appears

    server1:/tmp # rpm --force -i http://download.opensuse.org/reposi...11.1_Update/i586/maildrop-2.0.4-10.5.i586.rpm
    warning: /var/tmp/rpm-xfer.CTtoyA: Header V3 DSA signature: NOKEY, key ID 6530cd38
    error: Failed dependencies:
    libcourierauth.so is needed by maildrop-2.0.4-10.5.i586
    libfam.so.0 is needed by maildrop-2.0.4-10.5.i586
    libgcc_s.so.1 is needed by maildrop-2.0.4-10.5.i586
    libgcc_s.so.1(GCC_3.0) is needed by maildrop-2.0.4-10.5.i586
    libgdbm.so.3 is needed by maildrop-2.0.4-10.5.i586
    libpcre.so.0 is needed by maildrop-2.0.4-10.5.i586
    libstdc++.so.6 is needed by maildrop-2.0.4-10.5.i586
    libstdc++.so.6(CXXABI_1.3) is needed by maildrop-2.0.4-10.5.i586
    libstdc++.so.6(GLIBCXX_3.4) is needed by maildrop-2.0.4-10.5.i586
    libstdc++.so.6(GLIBCXX_3.4.9) is needed by maildrop-2.0.4-10.5.i586

    only idea how to sort it has i have followed the tutorial as its wrtten


    thanks


    paul
     
  2. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    What's the output of
    Code:
    uname -a
    ?
     
  3. paulley

    paulley New Member

    the output of uname -a is :-


    Linux server1 2.6.27.21-0.1-default #1 SMP 2009-03-31 14:50:44 +0200 x86_64 x86_64 x86_64 GNU/Linux
     
  4. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    You're on a 64bit system (x86_64) while the rpm that you tried to install is for a 32bit system (i586). Please try to install a maildrop package for x86_64.
     

Share This Page